Subject: OSX Appleshare Login Client.

From: "Jonathan Graham" <[email-masked]>
Date: Sun, 27 Jan 2002 19:10:39 -0500

Hello,

I realize that this is a bit off topic but I was wondering if what I'm working on is useful to anyone else or duplicating anyone elses efforts.  Here's the story so far:

My household exists as a tiny lab environment.  I have many users and a few machines.  So to keep things orderly I assign anyone who uses my machines (locally or remotely) a userid/password.  For the NT/2K machines I use Samba.  User log into the NT domain to get access to machines/printers/diskshares.  For my Mac I was using MacLogin.  However recently I converted one of my client machines over to OS X and athough there's all these wonderful authentication API's available to OS X.  There doesn't seem to be a way to authenticate against a plain old Appleshare server.

So I did the only natural thing....I wrote one.

The code is a little rough right now but users are presented with a Username/Password dialog and a successful login mounts the user's home directory on the desktop.  My next project is to manipulate the settings of the NetInfo db.  

So would anyone on this list find this kind of application useful?  Or is everyone pretty much using the Kerberos authentication plug-in or setting up LDAP or NIS?

Thanks for your time,

Jonathan.